Bug 293971 - (gurlchecker) Review Request: gurlchecker - A Gnome link validity checker
Review Request: gurlchecker - A Gnome link validity checker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 16:45 EDT by Arindam Ghosh
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 15:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Arindam Ghosh 2007-09-17 16:45:42 EDT
Spec URL: http://makghosh.fedorapeople.org/SPECS/gurlchecker.spec
SRPM URL: http://makghosh.fedorapeople.org/SRPMS/gurlchecker-0.10.1-1.fc7.src.rpm
Description: gURLChecker is a Gnome tool that can check links on a single web page
or on a whole web site in order to determine validity of each page.
Comment 1 Arindam Ghosh 2007-09-17 17:12:37 EDT
Now, rpmlint returned with no errors/warnings:

$ rpmlint .../gurlchecker-0.10.1-1.fc7.src.rpm
$ rpmlint .../gurlchecker-0.10.1-1.fc7.i386.rpm
$ rpmlint .../gurlchecker-debuginfo-0.10.1-1.fc7.i386.rpm

All these gave no errors/warnings at all
Comment 2 Arindam Ghosh 2007-09-17 17:33:54 EDT
The Koji scratch build of gurlchecker-0.10.1 for dist-f8 was successsful. I used
the following command for the koji build:

$ koji build --scratch dist-f8 .../gurlchecker-0.10.1-1.fc7.src.rpm

The task ID of the build is:

[http://koji.fedoraproject.org/koji/taskinfo?taskID=160244]
Comment 3 Warren Togami 2007-09-19 18:49:04 EDT
http://cvs.fedoraproject.org/viewcvs/rpms/gurlchecker/

It appears that gurlchecker was in Fedora earlier, but nobody wanted to maintain
it it anymore so it was removed after FC-6.  Your spec looks fine by packaging
guidelines, but this alone does not demonstrate understanding of the guidelines
as you built upon the old spec.

This package is APPROVED.

As far as sponsorship goes, it appears that you have another review underway in
Bug #287801.  It is likely that Mamoru will decide to sponsor you.
Comment 4 Arindam Ghosh 2007-09-20 12:57:18 EDT
(In reply to comment #3)

Thanks for approving this package. Yes, the new spec file is based on the old
one. But I am also working on the other package Bug #287801 according to the
notes/comments given by Mamoru Tasaka.

Hope everything goes well. I can put up this package in the fedora-cvs once I
get sponsered.
Comment 5 Arindam Ghosh 2007-10-02 09:41:29 EDT
Since i'm not getting acces to fedorapeople.org now (don't know why), the
updated links are:

Spec file URL: http://makghosh.googlepages.com/gurlchecker.spec
SRPM URL: http://makghosh.googlepages.com/gurlchecker-0.10.1-1.fc7.src.rpm
Comment 6 Mamoru TASAKA 2007-10-02 12:31:31 EDT
Well, now sirius review request is still under review, however
I will sponsor you.

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 7 Arindam Ghosh 2007-10-02 13:09:33 EDT
(In reply to comment #6)

Yes I've already created a Fedora account (username: makghosh). There "cla_done"
is approved. I have also added "cvsextras" and "fedorabugs" group whose role
status now shows "unapproved". 

Is it ok or I've to do something more?
Comment 8 Mamoru TASAKA 2007-10-02 13:17:54 EDT
Okay, now I should be sponsoring you.
Comment 9 Arindam Ghosh 2007-10-02 13:27:24 EDT
Thanks a lot!! 

And is Sirius ok?
Comment 10 Mamoru TASAKA 2007-10-02 13:36:37 EDT
sirius is not yet okay, I will post the issues later.

Anyway for this package (gurlchecker) follow the procedure
written on Join wiki.
Comment 11 Arindam Ghosh 2007-10-02 15:33:26 EDT
New Package CVS Request
=======================
Package Name: gurlchecker
Short Description: A Gnome link validity checker
Owners: makghosh
Branches: F-7
InitialCC: makghosh, wtogami, mtasaka
Cvsextras Commits: yes
Comment 12 Jason Tibbitts 2007-10-03 20:40:52 EDT
CVS done.
Comment 13 Arindam Ghosh 2007-10-04 04:49:14 EDT
(In reply to comment #12)
> CVS done.

Thanks a lot!!
Comment 14 Arindam Ghosh 2007-10-04 05:07:15 EDT
Some minor issues resolved:

* rpmlint: the updated rpmlint gave errors for IS0-8859 encoding of NEWS, THANKS
-------------------------------------------
$ file * | grep ISO
NEWS:    ISO-8859 English text
THANKS:  ISO-8859 English text
-------------------------------------------
Fixed this using "iconv" and added a patch gurlchecker-0.10.1-docs.patch

* Desktop entry: removed "Application" from category. I fixed this using the
patch again.

* Updated the license tag to GPLv2+

That's it!! The updated links are:
Spec URL: http://makghosh.fedorapeople.org/SPECS/gurlchecker.spec
SRPM URL: http://makghosh.fedorapeople.org/SRPMS/gurlchecker-0.10.1-2.fc7.src.rpm

The Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=182693
Comment 15 Mamoru TASAKA 2007-10-04 10:43:33 EDT
(In reply to comment #14)
> That's it!! The updated links are:
> Spec URL: http://makghosh.fedorapeople.org/SPECS/gurlchecker.spec
> SRPM URL: http://makghosh.fedorapeople.org/SRPMS/gurlchecker-0.10.1-2.fc7.src.rpm


Well, there seems to be some issues on this srpm.
Hope I may post what I found before I go to sleep...
Comment 16 Arindam Ghosh 2007-10-04 11:30:34 EDT
(In reply to comment #15)

Okay...I am waiting for it.

Though I did a cvs-commit in devel, F-7 and Koji build ($ make build), I don't
think it would create any problem. I can do that again for the updated release
with all the issues fixed :-)

Also i haven't put gurlchecker in bodhi as yet. It's better to do after the
issues are fixed...right?
Comment 17 Mamoru TASAKA 2007-10-04 12:33:11 EDT
(In reply to comment #16)
> Also i haven't put gurlchecker in bodhi as yet. It's better to do after the
> issues are fixed...right?
Yes.


Well, for 0.10.1-2:

* Possibly missing BuildRequires
  - I usually checks possibly missing BuildRequres by highlighting
    "no" string on build.log. Then:
----------------------------------------------------------
   246  checking whether to use CROCO library (CSS2 w3c validation)... requested
   247  checking for CROCO... no
   248  libcroco-0.6.pc not found
   249  configure: WARNING: You requested libcroco support, but it doesn't seem
to be installed.
   250  checking whether to use TIDY library (HTML w3c validation)... requested
   251  checking for tidyCreate in -ltidy... no
   252  configure: WARNING: You requested libtidy support, but it doesn't seem
to be installed.
   253  checking whether to use CLAMAV library (virii scan)... requested
   254  checking for cl_loaddbdir in -lclamav... no
   255  configure: WARNING: You requested libclamav support, but it doesn't seem
to be installed.
   256  checking whether to use GNUTLS library (HTTPS check)... requested
----------------------------------------------------------
    Perhaps libcroco-devel, libtidy-devel, clamav-devel will
    enable these missing support.

  - Also please check if this is desired.
-----------------------------------------------------------
   293          Generate GTK doc        (gtkdoc)        : no
-----------------------------------------------------------

* Redundant Requires
-----------------------------------------------------------
Requires:	gnet2, gnutls
-----------------------------------------------------------
  - Usually these types of Requires are not needed.
    rpmbuild checks the dependencies for libraries and adds them
    to Requires automatically.
    For this package, you can see:
-----------------------------------------------------------
$ rpm -q --requires gurlchecker | grep '\(gnet\|gnutls\).*so*'
libgnet-2.0.so.0  
libgnutls.so.13  
libgnutls.so.13(GNUTLS_1_3)  
-----------------------------------------------------------
    So the dependencies for libraries in gnet2, gnutls are 
    added, which will pull gnet2 gnutls packages automatically.
    For example:
-----------------------------------------------------------
$ rpm -q --whatprovides libgnet-2.0.so.0
gnet2-2.0.7-10.fc8
-----------------------------------------------------------

* Perl module BuildRequires
  - For perl module BuildRequires, don't write the names of rpms
    directly, but write the module names needed for rebuild.
    http://fedoraproject.org/wiki/Packaging/Perl

    In short: "BuildRequires: perl-XML-Parser" must be
    "BuildRequires: perl(XML::Parser)"

* Desktop file
  - must be installed (checked) by desktop-file-install
    (BR: desktop-file-utils needed).

* Timestamp
  - This package installs some files from tarball directly
    (ex. png files) and perserving timestamps on those files
    is recommended. Check if
-------------------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
-------------------------------------------------------------
    works (this method usually works for recent Makefiles).
Comment 18 Arindam Ghosh 2007-10-08 19:47:08 EDT
(In reply to comment #17)
> (In reply to comment #16)
> > Also i haven't put gurlchecker in bodhi as yet. It's better to do after the
> > issues are fixed...right?
> Yes.
> 
> 
> Well, for 0.10.1-2:
> 
> * Possibly missing BuildRequires
>   - I usually checks possibly missing BuildRequres by highlighting
>     "no" string on build.log. Then:
> ----------------------------------------------------------
>    246  checking whether to use CROCO library (CSS2 w3c validation)... requested
>    247  checking for CROCO... no
>    248  libcroco-0.6.pc not found
>    249  configure: WARNING: You requested libcroco support, but it doesn't seem
> to be installed.
>    250  checking whether to use TIDY library (HTML w3c validation)... requested
>    251  checking for tidyCreate in -ltidy... no
>    252  configure: WARNING: You requested libtidy support, but it doesn't seem
> to be installed.
>    253  checking whether to use CLAMAV library (virii scan)... requested
>    254  checking for cl_loaddbdir in -lclamav... no
>    255  configure: WARNING: You requested libclamav support, but it doesn't seem
> to be installed.
>    256  checking whether to use GNUTLS library (HTTPS check)... requested
> ----------------------------------------------------------
>     Perhaps libcroco-devel, libtidy-devel, clamav-devel will
>     enable these missing support.
> 
>   - Also please check if this is desired.
> -----------------------------------------------------------
>    293          Generate GTK doc        (gtkdoc)        : no
> -----------------------------------------------------------

Fixed. BuildRequires:  libcroco-devel, libtidy-devel, clamav-devel
And also Generate GTK doc (no) is okay i think. Because in the spec file i have
used:
----------------------------------------------
%configure --disable-gtk-doc
----------------------------------------------
This is due to if I just use "%configure", though gtk-doc is generated it
returns with RPM buildroot error saying something like "following files are
instaled but not contained in source package" listing all the gtk-doc html files

> * Redundant Requires
> -----------------------------------------------------------
> Requires:	gnet2, gnutls
> -----------------------------------------------------------
>   - Usually these types of Requires are not needed.
>     rpmbuild checks the dependencies for libraries and adds them
>     to Requires automatically.
>     For this package, you can see:
> -----------------------------------------------------------
> $ rpm -q --requires gurlchecker | grep '\(gnet\|gnutls\).*so*'
> libgnet-2.0.so.0  
> libgnutls.so.13  
> libgnutls.so.13(GNUTLS_1_3)  
> -----------------------------------------------------------
>     So the dependencies for libraries in gnet2, gnutls are 
>     added, which will pull gnet2 gnutls packages automatically.
>     For example:
> -----------------------------------------------------------
> $ rpm -q --whatprovides libgnet-2.0.so.0
> gnet2-2.0.7-10.fc8
> -----------------------------------------------------------

Fixed. Removed Requires: gnet2, gnutls

> * Desktop file
>   - must be installed (checked) by desktop-file-install
>     (BR: desktop-file-utils needed).

Fixed.

> * Perl module BuildRequires 
> * Timestamp

Fixed these too. They are repeatation of od errors...shouldn't have erred them.

The updated links are:
Spec URL: http://makghosh.fedorapeople.org/SPECS/gurlchecker.spec
SRPM URL: http://makghosh.fedorapeople.org/SRPMS/gurlchecker-0.10.1-3.fc7.src.rpm

The Koji build task is: http://koji.fedoraproject.org/koji/taskinfo?taskID=187553
Comment 19 Mamoru TASAKA 2007-10-09 04:18:40 EDT
For -3:
* Documents
  - Maybe it may be preferable that "CONTRIBUTORS" file is added to
    %doc.

Other things are okay.
Comment 20 Arindam Ghosh 2007-10-09 16:09:57 EDT
(In reply to comment #19)

> * Documents
>   - Maybe it may be preferable that "CONTRIBUTORS" file is added to
>     %doc.

Added "CONTRIBUTERS" in %doc

Now hopefully its' okay...

The updated links are:
Spec URL: http://makghosh.fedorapeople.org/SPECS/gurlchecker.spec
SRPM URL: http://makghosh.fedorapeople.org/SRPMS/gurlchecker-0.10.1-4.fc7.src.rpm

The Koji build task is: http://koji.fedoraproject.org/koji/taskinfo?taskID=188134

Comment 21 Mamoru TASAKA 2007-10-10 08:11:35 EDT
Okay. Please import.
Comment 22 Arindam Ghosh 2007-10-14 15:26:13 EDT
Koji Build: Done [http://koji.fedoraproject.org/koji/packageinfo?packageID=4605]

Bodhi Update: Pushed to testing
[https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2505]

Note You need to log in before you can comment on or make changes to this bug.